Subject: bug#21891: Guile 2.1.1: 5 Test failures on OpenBSD/amd64 5.8

From: Andy Wingo <[email-masked]>
Date: Fri, 24 Jun 2016 18:11:54 +0200

On Thu 12 Nov 2015 18:10, "Alexander Shendi" <[email-masked]> writes:

> I have built guile-2.1.1 on OpenBSD/amd64 5.8. I did the following:
>  
> The build itself went smoothly and the system seems to work, but the generated "check-guile.log" shows
> 5 errors. I do not have enough guile-foo to deceide if the failures are serious or not.

Cool, thank you very much for testing the release!

These are the five failures, for what it's worth:

FAIL: i18n.test: locale objects: make-locale with unknown locale
FAIL: i18n.test: character mapping: char-locale-upcase Turkish
FAIL: i18n.test: character mapping: char-locale-downcase Turkish
FAIL: i18n.test: string mapping: string-locale-upcase Turkish
FAIL: i18n.test: string mapping: string-locale-downcase Turkish

They are not terribly serious.  I guess that you get them on Guile
2.0.11 as well.  Is that the case?

The last 4 could a problem with OpenBSD's iconv for turkish locales; not
sure.  I don't know about the first one.

Andy